﻿using GS.Terminal.DashBoard.Interface;
using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ClassAttendanceStatistics
{
    /// <summary>
    /// CourseAttendance.xaml 的交互逻辑
    /// </summary>
    [Export(typeof(IDashBoardPage))]
    public partial class CourseAttendance : Page, IDashBoardPage
    {
        public CourseAttendance()
        {
            InitializeComponent();
        }

        public Guid PageID => new Guid("2434f42b-b9bf-4369-997d-88349e61572a");

        public Uri Icon => null;

        public PageViewModel BindDataContext()
        {
            var vm = new CourseAttendanceViewModel();
            this.DataContext = vm;
            return vm;
        }

        public object Clone()
        {
            return new CourseAttendance() { DataContext = DataContext };
        }

        public void Dispose()
        {
            this.DataContext = null;
        }
    }
}
