﻿#region << 版 本 注 释 >>
/*----------------------------------------------------------------
* 项目名称 ：ClassAttendanceStatistics.CourseAttendance
* 项目描述 ：
* 类 名 称 ：PageControl
* 类 描 述 ：
* 所在的域 ：DESKTOP-MNML8TD
* 命名空间 ：ClassAttendanceStatistics.CourseAttendance
* 机器名称 ：DESKTOP-MNML8TD 
* CLR 版本 ：4.0.30319.42000
* 作    者 ：栾凤杰
* 创建时间 ：2018/9/10 17:27:47
* 更新时间 ：2018/9/10 17:27:47
* 版 本 号 ：v1.0.0.0
*******************************************************************
* Copyright @ 青岛通软网络有限公司 2018. All rights reserved.
*******************************************************************
//----------------------------------------------------------------*/
#endregion

using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ClassAttendanceStatistics
{
    /// <summary>
    /// 用于将数据分页
    /// </summary>
    public class PageControl
    {

        public static ObservableCollection<ObservableCollection<T>> CutPage<T>(ObservableCollection<T> data, int pageSize)
        {
            var DataCount = data.Count;

            var PageCount = (int)Math.Ceiling((double)DataCount / pageSize);

            ObservableCollection<ObservableCollection<T>> result = new ObservableCollection<ObservableCollection<T>>();


            for (int i = 0; i < PageCount; i++)
            {
                result.Add(new ObservableCollection<T>(data.Skip(i * pageSize).Take(pageSize)));
            }


            return result;
        }

    }
}
