﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DashBoard.ServiceModel
{
    //宿舍状态测试地址：http://192.168.1.2:8019/Visualization/SuSheState.ashx?Bui=a
    //传参说明：?Bui=a      a男生宿舍楼b女生宿舍楼y游泳馆
    public class School_SuSheState
    {
        /// <summary>
        /// 楼层编号
        /// </summary>
        public int FloorNumber { get; set; }
        /// <summary>
        /// 楼层房间信息集合
        /// </summary>
        public List<SuShe> list { get; set; }

    }
    /// <summary>
    /// 楼层包含的房间信息
    /// </summary>
    public class SuShe
    {
        /// <summary>
        /// 房间编号
        /// </summary>
        public Guid RoomID { get; set; }
        /// <summary>
        /// 房间名称
        /// </summary>
        public string RoomName { get; set; }
        /// <summary>
        /// 宿舍已安排人数
        /// </summary>
        public int Sum { get; set; }
        /// <summary>
        /// 在宿舍人数
        /// </summary>
        public int In { get; set; }
    }
}
