﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DashBoardViewModel
{
    public partial class DashBoardMain
    {
        private bool _ShowLRButton = true;
        /// <summary>
        /// 是否显示左右切换按钮
        /// </summary>
        public bool ShowLRButton
        {
            get { return _ShowLRButton; }
            set { _ShowLRButton = value; RaisePropertyChanged("ShowLRButton"); }
        }


        private bool _EnableCancelFullScreen = true;
        /// <summary>
        /// 是否允许取消全屏
        /// </summary>
        public bool EnableCancelFullScreen
        {
            get { return _EnableCancelFullScreen; }
            set { _EnableCancelFullScreen = value; RaisePropertyChanged("EnableCancelFullScreen"); }
        }

        private bool _ShowDownCountLabel;

        public bool ShowDownCountLabel
        {
            get { return _ShowDownCountLabel; }
            set { _ShowDownCountLabel = value; RaisePropertyChanged("ShowDownCountLabel"); }
        }


    }
}
