﻿using GalaSoft.MvvmLight;
using GS.Terminal.Common.WebService;
using GS.Unitive.Framework.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GS.Terminal.DashBoard.Interface
{
    public abstract class PageViewModel : ViewModelBase, IPageViewModel
    {
        public string Source { get; set; }


        private WebServiceCenter webServiceCenter;

        public WebServiceCenter WebServiceCenter
        {
            get
            {
                if (webServiceCenter == null)
                    webServiceCenter = new WebServiceCenter(AddonRuntime.Instance.LogWriter, string.Empty, string.Empty);
                return webServiceCenter;
            }
        }



        public abstract void Enter();
        public abstract void Leave();
        public abstract bool Update();
    }
}
