﻿using GS.Terminal.Common.LocalSetting;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GS.Terminal.DashBoard.Logic.Setting
{
    public class DashBoardConfig : IStructureSetting<DashBoardItem>
    {
        public List<DashBoardItem> Datas { get; set; } = new List<DashBoardItem>();

        public string StructureName => "DashBoardConfig";
    }

    public class DashBoardItem: IStructureSettingItem
    {
        public Guid DashBoardID { get; set; }
        public string Source { get; set; }
        public bool Enable { get; set; }
        public int OrderIndex { get; set; }
    }
}
