﻿using GS.Terminal.Common.LocalSetting;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GS.Terminal.DashBoard.Logic.Setting
{
    public class TerminalLocalSetting
    {
        public TerminalLocalSetting()
        {
            var properties = GetType().GetProperties();
            foreach (var item in properties.Where(ss => !(ss.PropertyType.GetInterface(nameof(ISetting)) is null)))
            {
                item.SetValue(this, LocalSettingLoader.Load(item.PropertyType, Program.addonContext));
            }
        }

        public LogicConfig LogicConfig { get; set; }
        public GlobalSetting Global { get; set; }
        public DashBoardConfig DashBoardConfig { get; set; }
    }
}
