﻿using GS.Unitive.Framework.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GS.Terminal.DashBoard.Logic.ThemeAddon
{
    public class Service
    {
        private IAddonContext _addonContext;
        private dynamic _addonService;
        public Service()
        {
            if (Program.addonContext != null)
            {
                _addonContext = Program.addonContext;
                _addonService = _addonContext.GetFirstOrDefaultService("GS.Terminal.Theme", "GS.Terminal.Theme.Service");
            }
        }

        public void SetTheme(string Name)
        {
            _addonService.SetTheme(Name);
        }
    }
}
