﻿using GS.Terminal.DashBoard.Interface;
using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SchoolSituation.TeacherLeave
{
    /// <summary>
    /// TeacherLeave.xaml 的交互逻辑
    /// </summary>
    [Export(typeof(IDashBoardPage))]
    public partial class TeacherLeave : Page, IDashBoardPage
    {
        public TeacherLeave()
        {
            InitializeComponent();
        }

        public Guid PageID => new Guid("ddd2027a-d1d4-42ac-9313-8ce50d4b197f");

        public Uri Icon => new Uri("/SchoolSituation;component/images/icon-Teacher.png", UriKind.Relative);

        public PageViewModel BindDataContext()
        {
            var vm = new TeacherLeaveViewModel();
            this.DataContext = vm;
            return vm;
        }

        public object Clone()
        {
            return new TeacherLeave() { DataContext = this.DataContext };
        }

        public void Dispose()
        {
            this.DataContext = null;
        }
    }
}
