﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DashBoard.ServiceModel
{
    //班级环境实时数据测试地址:http://192.168.1.2:8019/Visualization/ClassNowEn.ashx
    public class Class_ClassNowEn
    {
        /// <summary>
        /// 最新刷新时间
        /// </summary>
        public DateTime UpdateTime { get; set; }
        /// <summary>
        /// 班级信息
        /// </summary>
        public List<ClassEnvironmental> ClassList { get; set; }
    }
    /// <summary>
    /// 班级单位信息
    /// </summary>
    public class ClassEnvironmental
    {
        /// <summary>
        /// 班级编号
        /// </summary>
        public int ClassID { get; set; }
        /// <summary>
        /// 班级名称
        /// </summary>
        public string ClassName { get; set; }
        /// <summary>
        /// 教室编号
        /// </summary>
        public string RoomNumber { get; set; }
        /// <summary>
        /// 教室名称
        /// </summary>
        public string RoomName { get; set; }
        /// <summary>
        /// 噪声
        /// </summary>
        public decimal ZaoSheng { get; set; }
        /// <summary>
        /// 温度
        /// </summary>
        public decimal WenDu { get; set; }
        /// <summary>
        /// 湿度
        /// </summary>
        public decimal ShiDu { get; set; }
        /// <summary>
        /// 光照
        /// </summary>
        public decimal GuangZhao { get; set; }
    }
}
