﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DashBoard.ServiceModel
{
    public class School_TeacherLeave
    {
        public Leave msg { get; set; }
    }
    /// <summary>
    /// 请假信息
    /// </summary>
    public class Leave
    {
        /// <summary>
        /// 编号
        /// </summary>
        public int ID { get; set; }
        /// <summary>
        /// 请假教师编号
        /// </summary>
        public string TeacherID { get; set; }
        /// <summary>
        /// 请假教师姓名
        /// </summary>
        public string TeacherName { get; set; }
        /// <summary>
        /// 请假类型
        /// </summary>
        public string Type { get; set; }
        /// <summary>
        /// 请假事由
        /// </summary>
        public string Reason { get; set; }
        /// <summary>
        /// 请假开始日期
        /// </summary>
        public DateTime StartDate { get; set; }
        /// <summary>
        /// 请假结束日期
        /// </summary>
        public DateTime EndDate { get; set; }
        /// <summary>
        /// 审核部门缩写编号
        /// </summary>
        public string DeptNo { get; set; }
        /// <summary>
        /// 审核部门名称
        /// </summary>
        public string DeptName { get; set; }
    }
}
