﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DashBoard.ServiceModel
{
    //宿舍考勤状态测试地址:http://192.168.1.2:8019/Visualization/SuSheState.ashx?DataType=kaoqin&RoomID=10000151&NowTime=02-11
    //传参说明：   DataType=kaoqin,返回考勤数据.    RoomID=10000151,宿舍编号.    NowTime=02-11,选择的日期.    三个参数必须要传
    public class SuShe_KaoQin
    {
        /// <summary>
        /// 床位id
        /// </summary>
        public int BidID { get; set; }
        /// <summary>
        /// 床位编号
        /// </summary>
        public string BidNumber { get; set; }
        /// <summary>
        /// 学生id
        /// </summary>
        public int StudentID { get; set; }
        /// <summary>
        /// 学生姓名
        /// </summary>
        public string StudentName { get; set; }
        /// <summary>
        /// 班级编号
        /// </summary>
        public Guid ClassID { get; set; }
        /// <summary>
        /// 班级名称
        /// </summary>
        public string ClassName { get; set; }
        /// <summary>
        /// 打卡时间
        /// </summary>
        public string RecordTime { get; set; }
        /// <summary>
        /// 考勤状态
        /// </summary>
        public string State { get; set; }
    }
}
