﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DashBoard.ServiceModel
{
    //宿舍评分测试地址:http://192.168.1.2:8019/Visualization/SuSheState.ashx?DataType=pingfen&RoomID=10000151&NowTime=02-08
    //传参说明：   DataType=pingfen,返回评分数据.    RoomID=10000151,宿舍编号.    NowTime=02-08,选择的日期.    三个参数必须要传
    public class SuShe_PingFen
    {
        public decimal Sum { get; set; }
        public List<PingFen> msg { get; set; }
    }
    public class PingFen
    {
        /// <summary>
        /// 评分ID
        /// </summary>
        public int ID { get; set; }
        /// <summary>
        /// 评分对象
        /// </summary>
        public string Obj { get; set; }
        /// <summary>
        /// 评分类型ID
        /// </summary>
        public int ProjectID { get; set; }
        /// <summary>
        /// 评分类型名称
        /// </summary>
        public string ProjectName { get; set; }
        /// <summary>
        /// 评分分值
        /// </summary>
        public decimal Score { get; set; }
        /// <summary>
        /// 评分班级ID
        /// </summary>
        public int ClassID { get; set; }
        /// <summary>
        /// 评分班级名称
        /// </summary>
        public string ClassName { get; set; }
        /// <summary>
        /// 评分说明、备注
        /// </summary>
        public string Remark { get; set; }
    }
}
