﻿using GalaSoft.MvvmLight;
using GS.Terminal.LogicShell.Interface;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DashBoardViewModel
{
    public class Head : ViewModelBase, IViewModel
    {
        public Head()
        {
            Task.Run(async () =>
            {
                while (true)
                {
                    var now = DateTime.Now;
                    Week = now.DayOfWeek.ToString();
                    Day = now.ToString("MM/dd");
                    Hour = now.ToString("HH");
                    Minute = now.ToString("mm");
                    await Task.Delay(1000);
                }
            });
        }

        public string ViewID => "f8a999ce-b484-4df6-b688-8a793b730c6c";


        private string _Week;

        public string Week
        {
            get { return _Week; }
            set { _Week = value; RaisePropertyChanged("Week"); }
        }


        private string _Day;

        public string Day
        {
            get { return _Day; }
            set { _Day = value; RaisePropertyChanged("Day"); }
        }

        private string _Hour;

        public string Hour
        {
            get { return _Hour; }
            set { _Hour = value; RaisePropertyChanged("Hour"); }
        }

        private string _Minute;

        public string Minute
        {
            get { return _Minute; }
            set { _Minute = value; RaisePropertyChanged("Minute"); }
        }



        public void Reset()
        {

        }
    }
}
