﻿using CommonServiceLocator;
using GalaSoft.MvvmLight.Ioc;
using GS.Terminal.LogicShell.Interface;
using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DashBoardViewModel
{
    [Export(typeof(ILocator))]
    public class Locator : ILocator
    {
        public Locator()
        {
            ServiceLocator.SetLocatorProvider(() => SimpleIoc.Default);
            SimpleIoc.Default.Register<DashBoardMain>();
            SimpleIoc.Default.Register<Head>();

        }

        public DashBoardMain Main { get { return ServiceLocator.Current.GetInstance<DashBoardMain>(); } }
        public Head Head { get { return ServiceLocator.Current.GetInstance<Head>(); } }

    }
}
