﻿using GS.Terminal.DashBoard.Interface;
using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SchoolSituation.DormInfo
{
    /// <summary>
    /// DormInfo.xaml 的交互逻辑
    /// </summary>
    [Export(typeof(IDashBoardPage))]
    public partial class DormInfo : Page, IDashBoardPage
    {
        public DormInfo()
        {
            InitializeComponent();
        }

        public Guid PageID => new Guid("f0eccb42-801c-462d-a98a-3de216314d51");

        public Uri Icon => new Uri("/SchoolSituation;component/images/icon-Dorm.png", UriKind.Relative);

        public PageViewModel BindDataContext()
        {
            var vm = new DormInfoViewModel();
            this.DataContext = vm;
            return vm;
        }

        public object Clone()
        {
            return new DormInfo() { DataContext = DataContext };
        }

        public void Dispose()
        {
            this.DataContext = null;
        }
    }
}
