﻿using GalaSoft.MvvmLight.Command;
using GS.Terminal.DashBoard.Interface;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolSituation
{
    public partial class DormInfoViewModel : PageViewModel
    {

        private ObservableCollection<ViewSuSheState> _Dorma;
        public ObservableCollection<ViewSuSheState> Dorma
        {
            get { return _Dorma; }
            set { _Dorma = value; RaisePropertyChanged("Dorma"); }
        }
        private ObservableCollection<ViewSuSheState> _Dormb;
        public ObservableCollection<ViewSuSheState> Dormb
        {
            get { return _Dormb; }
            set { _Dormb = value; RaisePropertyChanged("Dormb"); }
        }
        private ObservableCollection<ViewSuSheState> _Dormy;
        public ObservableCollection<ViewSuSheState> Dormy
        {
            get { return _Dormy; }
            set { _Dormy = value; RaisePropertyChanged("Dormy"); }
        }
        public override void Enter()
        {
            throw new NotImplementedException();
        }

        public override void Leave()
        {
            throw new NotImplementedException();
        }

        private bool isfirst = true;
        public override bool Update()
        {
            //是否第一次执行
            if (isfirst)
            {
                isfirst = false;
                var localresulta = Tools.ReadCache($"SuShetStatea.json");
                var locala = JsonConvert.DeserializeObject<List<DashBoard.ServiceModel.School_SuSheState>>(localresulta);
                var localresultb = Tools.ReadCache($"SuShetStateb.json");
                var localb = JsonConvert.DeserializeObject<List<DashBoard.ServiceModel.School_SuSheState>>(localresultb);
                var localresulty = Tools.ReadCache($"SuShetStatey.json");
                var localy = JsonConvert.DeserializeObject<List<DashBoard.ServiceModel.School_SuSheState>>(localresulty);
                if (locala != null || locala != null || locala != null)
                {
                    Dorma = new ObservableCollection<ViewSuSheState>(locala.Select(r => (ViewSuSheState)r).ToList());
                    Dormb = new ObservableCollection<ViewSuSheState>(localb.Select(r => (ViewSuSheState)r).ToList());
                    Dormy = new ObservableCollection<ViewSuSheState>(localy.Select(r => (ViewSuSheState)r).ToList());
                }
            }

            //读取本地数据加载界面
            if (string.IsNullOrEmpty(Source)) return false;
            var updateResult = false;
            var getUrla = new Uri(Source + "?Bui=a");
            var getUrlb = new Uri(Source + "?Bui=b");
            var getUrly = new Uri(Source + "?Bui=y");
            var resulta = Tools.Get(getUrla, out string backDataa);
            if (resulta)
            {
                var writeCacheResulta = Tools.WriteCache($"SuShetStatea.json", backDataa);
                var entiya = JsonConvert.DeserializeObject<List<DashBoard.ServiceModel.School_SuSheState>>(backDataa);
                Dorma = new ObservableCollection<ViewSuSheState>(entiya.Select(r => (ViewSuSheState)r).ToList());
                updateResult = true;
            }

            var resultb = Tools.Get(getUrlb, out string backDatab);
            if (resultb)
            {
                var writeCacheResultb = Tools.WriteCache($"SuShetStateb.json", backDatab);
                var entiyb = JsonConvert.DeserializeObject<List<DashBoard.ServiceModel.School_SuSheState>>(backDatab);
                Dormb = new ObservableCollection<ViewSuSheState>(entiyb.Select(r => (ViewSuSheState)r).ToList());
                updateResult = true;
            }
            var resulty = Tools.Get(getUrly, out string backDatay);
            if (resulty)
            {
                var writeCacheResulty = Tools.WriteCache($"SuShetStatey.json", backDatay);
                var entiyy = JsonConvert.DeserializeObject<List<DashBoard.ServiceModel.School_SuSheState>>(backDatay);
                Dormy = new ObservableCollection<ViewSuSheState>(entiyy.Select(r => (ViewSuSheState)r).ToList());
                updateResult = true;
            }
            return updateResult;

        }
    }
}
