﻿using GS.Terminal.DashBoard.Interface;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolSituation
{
    public class EnvironmentViewModel : PageViewModel
    {
        public override void Enter()
        {
            throw new NotImplementedException();
        }

        public override void Leave()
        {
            throw new NotImplementedException();
        }
        private ViewClass_ClassNowEn _NoeEn;
        public ViewClass_ClassNowEn NowEn
        {
            get { return _NoeEn; }
            set { _NoeEn = value;RaisePropertyChanged("NowEn"); }
        }
        #region 字段属性
        private decimal _MaxZaoSheng;
        public decimal MaxZaoSheng
        {
            get {  return _MaxZaoSheng; }
            set { _MaxZaoSheng = value;RaisePropertyChanged("MaxZaoSheng"); }
        }
        private string _MaxZaoShengClass;
        public string MaxZaoShengClass
        {
            get { return _MaxZaoShengClass; }
            set { _MaxZaoShengClass = value;RaisePropertyChanged("MaxZaoShengClass"); }
        }
        private decimal _MaxWinDu;
        public decimal MaxWinDu
        {
            get { return _MaxWinDu; }
            set { _MaxWinDu = value; RaisePropertyChanged("MaxWinDu"); }
        }
        private string _MaxWinDuClass;
        public string MaxWinDuClass
        {
            get { return _MaxWinDuClass; }
            set { _MaxWinDuClass = value; RaisePropertyChanged("MaxWinDuClass"); }
        }
        private decimal _MaxShiDu;
        public decimal MaxShiDu
        {
            get { return _MaxShiDu; }
            set { _MaxShiDu = value; RaisePropertyChanged("MaxShiDu"); }
        }
        private string _MaxShiDuClass;
        public string MaxShiDuClass
        {
            get { return _MaxShiDuClass; }
            set { _MaxShiDuClass = value; RaisePropertyChanged("MaxShiDuClass"); }
        }
        private decimal _MaxGuangZhao;
        public decimal MaxGuangZhao
        {
            get { return _MaxGuangZhao; }
            set { _MaxGuangZhao = value; RaisePropertyChanged("MaxGuangZhao"); }
        }
        private string _MaxGuangZhaoClass;
        public string MaxGuangZhaoClass
        {
            get { return _MaxGuangZhaoClass; }
            set { _MaxGuangZhaoClass = value; RaisePropertyChanged("MaxGuangZhaoClass"); }
        }
        #endregion
        public override bool Update()
        {
            //读取本地数据加载界面
            if (string.IsNullOrEmpty(Source)) return false;            
            var getUrl = new Uri(Source);
            var result = Tools.Get(getUrl, out string backData);
            if (result)
            {
                var entiy = JsonConvert.DeserializeObject<DashBoard.ServiceModel.Class_ClassNowEn>(backData);
                NowEn = (ViewClass_ClassNowEn)entiy;
                MaxZaoSheng = entiy.ClassList.Max(r=>r.ZaoSheng);
                MaxZaoShengClass = entiy.ClassList.Where(r => r.ZaoSheng == entiy.ClassList.Max(x => x.ZaoSheng)).FirstOrDefault().ClassName;
                MaxWinDu = entiy.ClassList.Max(r=>r.WenDu);
                MaxWinDuClass = entiy.ClassList.Where(r => r.WenDu == entiy.ClassList.Max(x=>x.WenDu)).FirstOrDefault().ClassName;
                MaxShiDu= entiy.ClassList.Max(r => r.ShiDu);
                MaxShiDuClass= entiy.ClassList.Where(r => r.ShiDu == entiy.ClassList.Max(x=>x.ShiDu)).FirstOrDefault().ClassName;
                MaxGuangZhao = entiy.ClassList.Max(r=>r.GuangZhao);
                MaxGuangZhaoClass= entiy.ClassList.Where(r => r.GuangZhao == entiy.ClassList.Max(x=>x.GuangZhao)).FirstOrDefault().ClassName;
            }
            return true;
        }
    }
}
