﻿using GS.Terminal.DashBoard.Interface;
using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SchoolSituation
{
    /// <summary>
    /// StudentState.xaml 的交互逻辑
    /// </summary>
    [Export(typeof(IDashBoardPage))]
    public partial class StudentState : Page, IDashBoardPage
    {
        public StudentState()
        {
            InitializeComponent();
        }

        public Guid PageID => new Guid("28ef0db7-558f-4cb7-a1d3-afb0b5dc0623");

        public Uri Icon => new Uri("/SchoolSituation;component/images/icon-students.png", UriKind.Relative);

        public PageViewModel BindDataContext()
        {
            var vm = new StudentStateViewModel();
            this.DataContext = vm;
            return vm;
        }

        public object Clone()
        {
            return new StudentState() { DataContext = this.DataContext };
        }

        public void Dispose()
        {
            this.DataContext = null;
        }
    }
}
